org.apache.nutch.host

## Class HostDbUpdateJob

- java.lang.Object
- - org.apache.nutch.host.HostDbUpdateJob

- All Implemented Interfaces:
    Configurable, Tool

      public class HostDbUpdateJob
      extends Object
      implements Tool

  Scans the web table and create host entries for each unique host.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `HostDbUpdateJob.Mapper` Maps each WebPage to a host key.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.slf4j.Logger` | `LOG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HostDbUpdateJob()`
    `HostDbUpdateJob(Configuration conf)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Configuration` | `getConf()`
    `static void` | `main(String[] args)`
    `int` | `run(String[] args)`
    `void` | `setConf(Configuration conf)`
    `void` | `updateHosts(boolean buildLinkDb)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LOG

          public static final org.slf4j.Logger LOG

  - ### Constructor Detail

    - #### HostDbUpdateJob

          public HostDbUpdateJob()

    - #### HostDbUpdateJob

          public HostDbUpdateJob(Configuration conf)

  - ### Method Detail

    - #### getConf

          public Configuration getConf()

      Specified by:
        `getConf` in interface `Configurable`

    - #### setConf

          public void setConf(Configuration conf)

      Specified by:
        `setConf` in interface `Configurable`

    - #### updateHosts

          public void updateHosts(boolean buildLinkDb)
                           throws Exception

      Throws:
        `Exception`

    - #### run

          public int run(String[] args)
                  throws Exception

      Specified by:
        `run` in interface `Tool`
      Throws:
        `Exception`

    - #### main

          public static void main(String[] args)
                           throws Exception

      Throws:
        `Exception`

Copyright © 2015 The Apache Software Foundation